#ifndef WINCLASS_H
#define WINCLASS_H

#include <windows.h>
#include "winsimpleclass.h"

class WinClass: public WinSimpleClass
{
protected:
    WNDCLASSEX _class;
    void SetDefaults();
    
public:
    WinClass(char const *className, HINSTANCE hInst, WNDPROC winProc);
    WinClass(int resId, HINSTANCE hInst, WNDPROC wndProc);
    WinClass(const WinClass &rhs);
    ~WinClass();
    WinClass &operator=(const WinClass &rhs);
    void SetBgSysColor(int sysColor);
    void SetResIcons(int resId);
    void Register();
};

#endif // WINCLASS_H
